package org.hardknockjava.lesson18.example01;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;    

public class PropertiesExample {

    public static void main(String[] args) throws IOException {
        Properties sampleProps = new Properties();
        InputStream sampleStream = PropertiesExample.class.getClassLoader().getResourceAsStream("sample.properties");
        sampleProps.load(sampleStream);
        sampleProps.list(System.out);

        Properties whiskyProps = new Properties(sampleProps);
        InputStream whiskeyStream = PropertiesExample.class.getClassLoader().getResourceAsStream("data/sevencrown.properties");
        whiskyProps.load(whiskeyStream);
        whiskyProps.list(System.out);

        System.out.println("\n\n");
        
        String age = whiskyProps.getProperty("age.in.years");
        System.out.println("obtained age.in.years=" + age);

        String importer = "initial";
        importer = whiskyProps.getProperty("importer");
        System.out.println("importer without default=" + importer);
        importer = whiskyProps.getProperty("importer", "Al Capone");
        System.out.println("importer with default=" + importer);

        System.out.println("\n\n");
        
        whiskyProps.storeToXML(System.out, "Whisky Properties");
    }

}
